package cz.zcu.fav.kiv.jsimcasestudies.watersystem.model;

/**
 *  An encapsulation of hardware data maintained by sensors of a water source.
 *  Data model of the sensors.
 *
 *  @author Cesar ALLAIN
 *  @author Jarda KACER
 *  @version 1.1 from 2004-03-24
 */
class SourceHardwareData
{
	private boolean sourceLevelLow;
	private boolean sourceLevelHigh;
	private boolean pumpIsOn;

	protected SourceHardwareData()
	{
		sourceLevelLow = true;
		sourceLevelHigh = false;
		pumpIsOn = false;
	} // constructor

	protected boolean getSourceLevelLow()
	{
		return sourceLevelLow;
	} // getSourceLevelLow

	protected void setSourceLevelLow(boolean newSourceLevelLow)
	{
		sourceLevelLow = newSourceLevelLow;
	} // setSourceLevelLow

	protected boolean getSourceLevelHigh()
	{
		return sourceLevelHigh;
	} // getSourceLevelHigh

	protected void setSourceLevelHigh(boolean newSourceLevelHigh)
	{
		sourceLevelHigh = newSourceLevelHigh;
	} // setSourceLevelHigh

	protected boolean getPumpIsOn()
	{
		return pumpIsOn;
	} // getPumpIsOn

	protected void setPumpIsOn(boolean newPumpIsOn)
	{
		pumpIsOn = newPumpIsOn;
	} // setPumpIsOn

        protected static int boolToInt(boolean b) {
         if (b)
           return 1;
         else
           return 0;
        }
        /*
        * Displays the state of the source
        */

        protected void displayState() {
          System.out.print ("" + boolToInt(sourceLevelLow) + "" + boolToInt(sourceLevelHigh) + "" + boolToInt(pumpIsOn) + "  ");
        }
} // class SourceHardwareData

