/*
 *  A queue having its own server which takes transactions out from the queue.
 *
 */

import cz.zcu.fav.kiv.jsim.*;

public class QueueWithServer extends JSimHead
{
 private JSimProcess         server;

 public QueueWithServer(String name, JSimSimulation sim, JSimProcess s) throws JSimInvalidParametersException, JSimTooManyHeadsException
 {
  super(name, sim);
  server = s;
 } // constructor

 public JSimProcess getServer()
 {
  return server;
 } // getServer

 public void setServer(JSimProcess s)
 {
  server = s;
 } // setServer
} // class QueueWithServer
